%{?nodejs_find_provides_and_requires}

%global packagename has-value
%global enable_tests 1

Name:		nodejs-has-value
Version:	1.0.0
Release:	1%{?dist}
Summary:	Returns true if a value exists, false if empty

License:	MIT
URL:		https://github.com/jonschlinkert/has-value
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/jonschlinkert/%{packagename}/%{version}/test.js

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(get-value)
BuildRequires:	npm(has-values)
BuildRequires:	npm(isobject)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Returns true if a value exists, false if empty. Works with deeply nested values
using object paths.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%nodejs_fixdep isobject

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Sep 15 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Update to upstream 1.0.0 release

* Wed May 10 2017 Jared Smith <jsmith@fedoraproject.org> - 0.3.1-2
- Relax version of npm(isobject)

* Fri Apr 14 2017 Jared Smith <jsmith@fedoraproject.org> - 0.3.1-1
- Initial packaging
